/*
 * pgpuserid.h
 *
 * Copyright (c) 1997 Christian Stueble  stueble@ls6.cs.uni-dortmund.de
 *
 * Requires the Qt widget libraries, available at no cost at
 * http://www.troll.no/
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef PGPUSERID_H
#define PGPUSERID_H

#include <qdstream.h>
#include <qlist.h>

class PgpSignature;

class PgpUserId
{
public:
    
  PgpUserId();
  virtual ~PgpUserId();

  virtual void          store(QDataStream &dest) = 0;

  virtual void          addSignature(PgpSignature *signature, bool first = FALSE);
  virtual bool          removeSignature(PgpSignature *signature);
  virtual QString       userId();

  virtual PgpSignature* signature(int nr = 0);
  virtual int           count();

  virtual int           getTrust() = 0;

  virtual void          updateTrust() = 0;

protected:
  
  QList<PgpSignature>   *signatureList;
  char                  *name;
};

#endif
